<div class="buttons-container">
  <app-add-button
    matTooltip="Crear registro"
    (click)="openCreateModal()"
  ></app-add-button>
  <app-edit-button
    matTooltip="Editar registro"
    (click)="openEditModal()"
  ></app-edit-button>
  <app-delete-button matTooltip="Remover registro" (click)="deleteModal()">
  </app-delete-button>
  <div matTooltip="Filtrar por">
    <app-menu-button [matMenuTriggerFor]="menuFilter"></app-menu-button>
    <mat-menu #menuFilter="matMenu">
      <button
        *ngFor="let option of filterOptions"
        mat-menu-item
        (click)="option.callback()"
      >
        {{ option.option }}
      </button>
    </mat-menu>
  </div>
  <div matTooltip="Ordernar por">
    <app-sort-button [matMenuTriggerFor]="menuOrder"></app-sort-button>
    <mat-menu #menuOrder="matMenu">
      <button
        *ngFor="let order of orderOptions"
        mat-menu-item
        (click)="order.callback()"
      >
        {{ order.option }}
      </button>
    </mat-menu>
  </div>
</div>
